Index: Module
===================================================================
--- Module	(revision 2286)
+++ Module	(working copy)
@@ -1390,3 +1390,44 @@
 
 #@end
 
+#@since 1.9.0
+
+--- module_exec(arg...) {|var...| block }       -> object
+--- class_exec(arg...) {|var...| block }        -> object
+
+Evaluates the given block in the context of the class/module.
+The method defined in the block will belong to the receiver.
+
+   class Thing
+   end
+   Thing.class_exec{
+     def hello() "Hello there!" end
+   }
+   puts Thing.new.hello()
+
+produces:
+
+   Hello there!
+
+--- local_methods   -> Array
+
+Returns a list of the local methods defined in mod.
+
+--- module_exec(arg...) {|var...| block }       -> object
+--- class_exec(arg...) {|var...| block }        -> object
+
+Evaluates the given block in the context of the class/module.
+The method defined in the block will belong to the receiver.
+
+   class Thing
+   end
+   Thing.class_exec{
+     def hello() "Hello there!" end
+   }
+   puts Thing.new.hello()
+
+produces:
+
+   Hello there!
+
+#@end
\ No newline at end of file
Index: Method
===================================================================
--- Method	(revision 2286)
+++ Method	(working copy)
@@ -6,7 +6,7 @@
 ᥽åɤμΡ̾Ǥʤˤȥ쥷ФȤޤ
 [[c:Proc]] ֥ȤȰäƥƥȤݻޤ
 
-=== [[c:Proc]] Ȥκ
+=== Proc Ȥκ
 
 [[c:Method]] ϼФоݤǤ᥽åɤ
 ʤкޤ󤬡[[c:Proc]] Ͻʤ˺ޤ
@@ -191,3 +191,55 @@
 
 self Υ쥷ФȤδϢ [[c:UnboundMethod]] 
 Ȥ֤ޤ
+
+--- ==(other)     -> bool
+--- ===(other)    -> bool
+
+Ȥ other Ʊ󥹥󥹤Ʊ᥽åɤɽ
+true ֤ޤǤʤ false ֤ޤ
+
+@param other ȤӤ֥Ȥꤷޤ
+
+  s = "bar"
+  a = s.method(:size)
+  b = s.method(:size)
+  p a == b                            #=> true
+
+@see [[m:Method#eql?]]
+
+--- eql?(other)     -> bool
+--- equal?(other)   -> bool
+
+ꤵ줿 other  self ȤǤΤ߿֤ޤ
+ [[c:Object]] 饹줿ǥեȤư
+
+
+@param other ȤӤ֥Ȥꤷޤ
+
+  s = "bar"
+  a = s.method(:size)
+  b = s.method(:size)
+  p a.eql?(b)          #=> false
+  p a.eql?(a)          #=> true
+
+@see [[m:Method#==]]
+
+--- hash    -> Integer
+
+Ȥ [[m:Object#object_id]] ֤ޤ [[c:Object]] 饹줿ǥեȤưǤ
+
+#@since 1.9.0
+
+--- name    -> String
+
+Returns the name of the method.
+
+--- owner    -> class_or_module
+
+Returns the class or module that defines the method.
+
+--- receiver    -> object
+
+Returns the bound receiver of the method object.
+
+#@end
